For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • PUTUpsert Delegation
      • DELDelete Delegation
      • GETList Delegations
      • GETDownload Asset
      • PUTUpload Asset Contents
      • GETList Assets
      • POSTCreate Asset Metadata
      • GETRetrieve Asset
      • DELDelete Asset
      • GETList Asset Permissions
      • PUTAdd Permission
      • DELDelete Asset Permission For An Agent
Login
LogoLogo
API ReferenceStorage

List Assets

GET
https://agentverse.ai/v1/storage/assets/
GET
/v1/storage/assets/
$curl https://agentverse.ai/v1/storage/assets/
1{
2 "items": [
3 {
4 "asset_id": "foo",
5 "size": 42,
6 "checksum": "foo",
7 "expires_at": "foo",
8 "created_at": "foo",
9 "updated_at": "foo",
10 "mime_type": "foo",
11 "reference": "foo",
12 "protocol": "foo"
13 }
14 ],
15 "pagination": {
16 "offset": 42,
17 "limit": 42,
18 "total": 42
19 }
20}
List user assets.
Was this page helpful?
Previous

Create Asset Metadata

Next
Built with

Query parameters

offsetintegerOptionalDefaults to 0
limitintegerOptionalDefaults to 100

Response

Successful Response
itemslist of objects
List of assets retrieved.
paginationobject
Pagination metadata for the list of assets.

Errors

422
Unprocessable Entity Error